Блог ОС CloudLinux - обновлен Alt-PHP
Блог CloudLinux OS

Обновлен Alt-PHP

Обновлен Alt-PHP

Обновленные пакеты Alt-PHP доступны для загрузки из нашего production-репозитория.

Список изменений:

alt-php73-7.3.0-1

  • ALTPHP-639: обновленный патч очистки SIGTERM;
  • обновление alt-php73 к версии 7.3.0-1.

alt-php72-7.2.13-1

  • ALTPHP-639: обновленный патч очистки SIGTERM;
  • обновление alt-php72 к версии 7.2.13-1.

alt-php71-7.1.25-1

  • ALTPHP-639: обновленный патч очистки SIGTERM;
  • обновление alt-php71 к версии 7.1.25-1.

alt-php70-7.0.33-1

  • ALTPHP-639: обновленный патч очистки SIGTERM;
  • обновление alt-php70 к версии 7.0.33-1.

alt-php56-5.6.39-1

  • ALTPHP-639: обновленный патч очистки SIGTERM;
  • обновление alt-php56 к версии 5.6.39-1.

alt-php73-pecl-ext-1-1

  • обновление alt-php73 до версии 7.3.0-1;
  • ALTPHP-625:
    • обновлены расширения apcu до версии 5.1.14;
    • обновлены расширения redis до версии 4.2.0;
    • обновлены расширения yaml до версии 2.0.3;
    • добавлены расширения swoole для версии 4.2.9;
    • добавлены расширения libsodium для версии 2.0.15.

alt-php72-pecl-ext-1-31

  • ALTPHP-626:
    • обновлены расширения apcu до версии 5.1.14;
    • обновлены расширения redis до версии 4.2.0;
    • обновлены расширения yaml до версии 2.0.3;
    • добавлены расширения swoole для версии 4.2.9;
    • добавлены расширения libsodium для версии 2.0.15.

alt-php71-pecl-ext-1-37

  • ALTPHP-627:
    • обновлены расширения apcu до версии 5.1.14;
    • обновлены расширения redis до версии 4.2.0;
    • обновлены расширения yaml до версии 2.0.3;
    • добавлены расширения swoole для версии 4.2.9;
    • добавлены расширения libsodium для версии 2.0.15.

alt-php70-pecl-ext-1-49

  • ALTPHP-628:
    • обновлены расширения apcu до версии 5.1.14;
    • обновлены расширения redis до версии 4.2.0;
    • обновлены расширения yaml до версии 2.0.3;
    • добавлены расширения swoole для версии 4.2.9;
    • добавлены расширения libsodium для версии 2.0.15.

alt-php56-pecl-ext-1-75

  • ALTPHP-631: обновлены расширения Redis до версии 4.2.0.

alt-php55-pecl-ext-1-109

  • ALTPHP-630: обновлены расширения Redis до версии 4.2.0.

alt-php54-pecl-ext-1-123

  • ALTPHP-629: обновлены расширения Redis до версии 4.2.0.

alt-php-config-1-31.1

  • ALTPHP-636: добавлены расширения: alt-php73 поддержка alt-php.cfg;
  • ALTPHP-567: реконфигурация не работает для mysql 8.0.

Команда для обновления:

yum groupupdate alt-php
LVE Manager обновлен
Beta: EasyApache 4 обновлен

Комментарии 8

Будут ли в конечном итоге расширения mysqli и pdo_mysql для PHP 7.3?

Будут ли в конечном итоге расширения mysqli и pdo_mysql для PHP 7.3?

Теперь они называются nd_pdo_mysql и nd_mysqli .. по какой-то причине ..

Теперь они называются nd_pdo_mysql и nd_mysqli .. по какой-то причине ..
Гость - Райан Смит в воскресенье, 16 декабрь 2018 19: 09

Расширения nd_mysqli и nd_pdo_mysql являются отдельными расширениями от mysqli и pdo_mysql (оба доступны для 7.2 и предыдущих версий PHP).

Поддержка говорит, что mysqli и pdo_mysql доступны в их тестовых средах и должны быть там, но они отсутствуют в PHP 7.3 на всех моих многочисленных серверах, когда было установлено это обновление Alt-PHP с 7.3.

Я заметил, что отсутствуют следующие символические ссылки:

/opt/alt/php73/usr/lib64/php/modules/mysqli.so -> /opt/alt/php73/etc/mariadb101/mysqli.so
/opt/alt/php73/usr/lib64/php/modules/pdo_mysql.so -> /opt/alt/php73/etc/mariadb101/pdo_mysql.so

Кроме того, эти INI-файлы также отсутствуют:

/ Opt / Alt / php73 / и т.д. /http://php.d.all/mysqli.ini
/ Opt / Alt / php73 / и т.д. /http://php.d.all/pdo_mysql.ini

Можно ли это рассмотреть, так как это кажется широко распространенной проблемой.

Расширения nd_mysqli и nd_pdo_mysql являются отдельными расширениями от mysqli и pdo_mysql (оба доступны для 7.2 и предыдущих версий PHP). Поддержка говорит, что mysqli и pdo_mysql доступны в их тестовых средах и должны быть там, но они отсутствуют в PHP 7.3 на всех моих многочисленных серверах, когда было установлено это обновление Alt-PHP с 7.3. Я заметил, что отсутствуют следующие символические ссылки: /opt/alt/php73/usr/lib64/php/modules/mysqli.so -> /opt/alt/php73/etc/mariadb101/mysqli.so / opt / alt / php73 /usr/lib64/php/modules/pdo_mysql.so -> /opt/alt/php73/etc/mariadb101/pdo_mysql.so Кроме того, эти INI-файлы также отсутствуют: /opt/alt/php73/etc/php.d .all / mysqli.ini /opt/alt/php73/etc/php.d.all/pdo_mysql.ini Можно ли это рассмотреть, поскольку это кажется широко распространенной проблемой.

Вы можете попробовать установить альт-php73-MySQL-мета из репозитория cloudlinux-updates-testing и обновите alt-php с помощью этого пакета. Этот пакет будет выпущен до стабильной версии завтра. Не могли бы вы сообщить мне о результатах.

Вы можете попробовать установить [b] alt-php73-mysql-meta [/ b] из репозитория cloudlinux-updates-testing и обновить alt-php с помощью этого пакета. Этот пакет будет выпущен до стабильной версии завтра. Не могли бы вы сообщить мне о результатах.
Гость - Рич во вторник, 08 январь 2019 16: 47

Я установил alt-php73-mysql-meta, который, по-видимому, является единственным связанным с mysql пакетом yum, еще не установленным для php 7.3, но это не привело к включению каких-либо модулей mysql в php 7.3:
===
Установлен:
alt-php73-mysql-meta.x86_64 0:2-3.1.el7

Complete!
[[Электронная почта защищена] 959979] # scl enable alt-php73 "php -m" | grep -i sql
sqlite3
[[Электронная почта защищена] 959979] # список доступных yum alt-php73 * | grep -i sql
[[Электронная почта защищена] 959979] # список доступных yum alt-php73 * | grep -Ei "sql | pdo"
[[Электронная почта защищена] 959979] #
===

Похоже, CloudLinux еще не выпустил пакет easyapache для mysqli в php 7.3?

Я установил alt-php73-mysql-meta, который, по-видимому, является единственным связанным с mysql пакетом yum, еще не установленным для php 7.3, но это не привело к включению каких-либо модулей mysql в php 7.3: === Установлено: alt- php73-mysql-meta.x86_64 0: 2-3.1.el7 Завершено! [[Электронная почта защищена] 959979] # scl enable alt-php73 "php -m" | grep -i sql sqlite3 [[Электронная почта защищена] 959979] # список доступных yum alt-php73 * | grep -i sql [[Электронная почта защищена] 959979] # список доступных yum alt-php73 * | grep -Ei "sql | pdo" [[Электронная почта защищена] 959979] # === Похоже, CloudLinux еще не выпустил пакет easyapache-совместимый для mysqli в php 7.3?

Вам нужно перенастроить mysql:
/usr/bin/alt-php-mysql-reconfigure.py --php 73
если это не решит проблему, попробуйте переустановить alt-php73-mysql с помощью mysql-регулятора или обратитесь в службу поддержки.

Вам необходимо перенастроить mysql: [b] /usr/bin/alt-php-mysql-reconfigure.py --php 73 [/ b], если это не решает проблему, попробуйте переустановить alt-php73-mysql с mysql- губернатор или обратитесь в службу поддержки.

Это все еще бета или стабильная версия?

Это все еще бета или стабильная версия?

Вы спрашиваете о alt-php73, alt-php-mysql-переконфигурировании или регуляторе?

До сих пор cPanel не выпустила ea-php73. Как только cPanel выпустит ea-php73, мы также добавим этот пакет.

Давайте продолжим обсуждение по электронной почте. [Электронная почта защищена]

Вы спрашиваете о alt-php73, alt-php-mysql-переконфигурировании или регуляторе? До сих пор cPanel не выпустила ea-php73. Как только cPanel выпустит ea-php73, мы также добавим этот пакет. Давайте продолжим обсуждение по электронной почте. [Электронная почта защищена]
Уже зарегистрирован? ВОЙТИ
гость
Суббота, 19 октября 2019

Защитный код изображение